Package com.io7m.idstore.server.service.configuration.jaxb

# Class HTTPServices

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.HTTPServices

public class HTTPServices extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:com.io7m.idstore:configuration:1}HTTPServiceAdminAPI"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}HTTPServiceUserAPI"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}HTTPServiceUserView"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected HTTPServiceType`
  `httpServiceAdminAPI`
  `protected HTTPServiceType`
  `httpServiceUserAPI`
  `protected HTTPServiceType`
  `httpServiceUserView`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HTTPServices()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HTTPServiceType`
  `getHTTPServiceAdminAPI()`
  Gets the value of the httpServiceAdminAPI property.
  `HTTPServiceType`
  `getHTTPServiceUserAPI()`
  Gets the value of the httpServiceUserAPI property.
  `HTTPServiceType`
  `getHTTPServiceUserView()`
  Gets the value of the httpServiceUserView property.
  `void`
  `setHTTPServiceAdminAPI(HTTPServiceType value)`
  Sets the value of the httpServiceAdminAPI property.
  `void`
  `setHTTPServiceUserAPI(HTTPServiceType value)`
  Sets the value of the httpServiceUserAPI property.
  `void`
  `setHTTPServiceUserView(HTTPServiceType value)`
  Sets the value of the httpServiceUserView property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### httpServiceAdminAPI

    protected HTTPServiceType httpServiceAdminAPI

  - ### httpServiceUserAPI

    protected HTTPServiceType httpServiceUserAPI

  - ### httpServiceUserView

    protected HTTPServiceType httpServiceUserView

- ## Constructor Details

  - ### HTTPServices

    public HTTPServices()

- ## Method Details

  - ### getHTTPServiceAdminAPI

    public HTTPServiceType getHTTPServiceAdminAPI()
    Gets the value of the httpServiceAdminAPI property.
    Returns:
      possible object is `HTTPServiceType`

  - ### setHTTPServiceAdminAPI

    public void setHTTPServiceAdminAPI(HTTPServiceType value)
    Sets the value of the httpServiceAdminAPI property.
    Parameters:
      `value` - allowed object is `HTTPServiceType`

  - ### getHTTPServiceUserAPI

    public HTTPServiceType getHTTPServiceUserAPI()
    Gets the value of the httpServiceUserAPI property.
    Returns:
      possible object is `HTTPServiceType`

  - ### setHTTPServiceUserAPI

    public void setHTTPServiceUserAPI(HTTPServiceType value)
    Sets the value of the httpServiceUserAPI property.
    Parameters:
      `value` - allowed object is `HTTPServiceType`

  - ### getHTTPServiceUserView

    public HTTPServiceType getHTTPServiceUserView()
    Gets the value of the httpServiceUserView property.
    Returns:
      possible object is `HTTPServiceType`

  - ### setHTTPServiceUserView

    public void setHTTPServiceUserView(HTTPServiceType value)
    Sets the value of the httpServiceUserView property.
    Parameters:
      `value` - allowed object is `HTTPServiceType`